- content_for :page_specific_javascripts do
  = webpack_bundle_tag 'common_vue'
  = webpack_bundle_tag 'schedules_index'

- @no_container = true
- page_title "Pipeline Schedules"
= render "projects/pipelines/head"

%div{ class: container_class }
  #pipeline-schedules-callout{ data: { docs_url: help_page_path('ci/pipeline_schedules') } }
  .top-area
    - schedule_path_proc = ->(scope) { pipeline_schedules_path(@project, scope: scope) }
    = render "tabs", schedule_path_proc: schedule_path_proc, all_schedules: @all_schedules, scope: @scope

    .nav-controls
      = link_to new_namespace_project_pipeline_schedule_path(@project.namespace, @project), class: 'btn btn-create' do
        %span New Schedule

  - if @schedules.present?
    %ul.content-list
      = render partial: "table"
  - else
    .light-well
      .nothing-here-block No schedules
